---
title: L'éditeur
weight: 6
output: 
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<div id="fonctionnement." class="section level3">
<h3>Fonctionnement.</h3>
<ul>
<li>Dans le quadrant appelé source apparaîtront le contenu des scripts ouverts.</li>
<li>Comme l’éditeur de Sas, lorsqu’un fichier de script est ouvert, le script apparaît et peut être modifié dans l’éditeur.</li>
<li>Créer un nouveau fichier script (Ctrl+Shift+n) ou menu File &gt; New File &gt; R script.</li>
<li>Copier le code ci-dessous dans le script créé.</li>
</ul>
<pre class="r"><code>(1+sqrt(5))/2</code></pre>
<ul>
<li>Sauvegarder ce nouveau script en conservant l’extension de nom de fichier par défaut (.R).</li>
<li>Pour exécuter le script dans son intégralité, le bouton Run peut être utilisé. Exécuter l’intégralité du script.</li>
<li>La commande exécuté et le résultat apparaîssent dans la console.</li>
<li>Pour éxécuter une partie du script (par exemple le calcul de la racine de 5), la partie du script correspondante peut être sélectionnée puis éxécutée via le raccourci Ctrl+Entrée.</li>
<li>Sélectionner <code>sqrt(5)</code> et exécuter le calcul de racine de 5.</li>
<li>Pour chaque fichier script ouvert, un nouvel onglet est créé dans le quadrant Source.</li>
</ul>
</div>
<div id="remarques" class="section level3">
<h3>Remarques</h3>
<p>Contrairement à ce que le nom du quadrant permettant l’édition de documents semble indiquer (source),
dans ce quadrant ne sont pas seulement affichés le contenu de fichiers de scripts.
Peuvent aussi être affiché le contenu de tables (via la commande <code>View</code>), ou la liste des tables d’un paquet (commande <code>data</code>).</p>
</div>
